# This spec file has been automatically updated
Version:        3
Release: 2%{?dist}
Name:           cockpit-composer
Summary:        Composer GUI for use with Cockpit

License:        MIT
URL:            http://weldr.io/
Source0:        https://github.com/weldr/cockpit-composer/releases/download/%{version}/cockpit-composer-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  libappstream-glib

Requires:       cockpit
Requires:       lorax-composer

%description
Composer generates custom images suitable for deploying systems or uploading to
the cloud. It integrates into Cockpit as a frontend for Lorax Composer.

%prep
%setup -q -n cockpit-composer-%{version}

%build
# Nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/cockpit/welder
cp -a public/dist/* %{buildroot}/%{_datadir}/cockpit/welder
mkdir -p %{buildroot}/%{_datadir}/metainfo/
appstream-util validate-relax --nonet io.weldr.cockpit-composer.metainfo.xml
cp -a io.weldr.cockpit-composer.metainfo.xml %{buildroot}/%{_datadir}/metainfo/

%files
%doc README.md
%license LICENSE.txt
%{_datadir}/cockpit/welder
%{_datadir}/metainfo/*

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 2019 Martin Pitt <martin@piware.de> - 3-1

- Use cockpit's PatternFly CSS, to pick up the new PatternFly 4 styling
- Add additional blueprint name validation
- Fix images not loading on refresh
- Add notification for source repo deletion

* Wed Jun 26 2019 Martin Pitt <martin@piware.de> - 2-1

- Strip newlines from SSH keys before saving
- Translation updates

* Wed Jun 05 2019 Cockpit Project <cockpituous@gmail.com> - 1-1
- Update to upstream 1 release

* Fri May 24 2019 Cockpit Project <cockpituous@gmail.com> - 0.4-1
- Update to upstream 0.4 release

* Mon May 06 2019 Cockpit Project <cockpituous@gmail.com> - 0.3-1
- Update to upstream 0.3 release

* Mon Apr 15 2019 Cockpit Project <cockpituous@gmail.com> - 0.2.1-1
- Update to upstream 0.2.1 release

* Mon Mar 25 2019 Cockpit Project <cockpituous@gmail.com> - 0.2.0-1
- Update to upstream 0.2.0 release

* Thu Mar 07 2019 Cockpit Project <cockpituous@gmail.com> - 0.1.9-2
- Update to upstream 0.1.9 release

